aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/config/states/openstack_noha
diff options
context:
space:
mode:
Diffstat (limited to 'mcp/config/states/openstack_noha')
-rwxr-xr-xmcp/config/states/openstack_noha51
1 files changed, 51 insertions, 0 deletions
diff --git a/mcp/config/states/openstack_noha b/mcp/config/states/openstack_noha
new file mode 100755
index 000000000..1578dcffc
--- /dev/null
+++ b/mcp/config/states/openstack_noha
@@ -0,0 +1,51 @@
+#!/bin/bash -e
+##############################################################################
+# Copyright (c) 2017 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
+
+salt -I 'nfs:server' file.mkdir /srv/nova/instances
+salt -I 'nfs:server' state.sls nfs
+salt -I 'nfs:client' state.sls nfs
+
+salt -I 'rabbitmq:server' state.sls rabbitmq
+salt -I 'rabbitmq:server' cmd.run "rabbitmqctl status"
+
+salt -I 'mysql:server' state.sls mysql
+salt -I 'memcached:server' state.sls memcached
+salt -I 'haproxy:proxy' state.sls haproxy
+
+set +e; salt -I 'keystone:server' state.sls keystone.server; set -e
+salt -I 'keystone:server' service.restart apache2
+salt -I 'keystone:server' state.sls keystone.server
+
+salt -I 'keystone:server' state.sls keystone.client
+salt -I 'keystone:server' cmd.run ". /root/keystonercv3; openstack service list"
+
+salt -I 'glance:server' state.sls glance
+
+# apply nova state twice to complete broken db sync
+salt -I 'nova:controller' state.sls nova
+salt -I 'nova:controller' state.sls nova
+
+salt -I 'heat:server' state.sls heat
+
+salt -I 'cinder:controller' state.sls cinder
+salt -I 'cinder:volume' state.sls cinder
+
+salt -I 'neutron:server' state.sls neutron
+salt -I 'neutron:gateway' state.sls neutron
+
+salt -I 'nova:compute' state.sls nova
+
+salt -I 'mongodb:server' state.sls mongodb || salt -I 'mongodb:server' state.sls mongodb
+salt -I 'aodh:server' state.sls aodh
+salt -I 'ceilometer:server' state.sls ceilometer
+salt -I 'ceilometer:agent' state.sls ceilometer
+
+salt -I 'horizon:server' state.sls horizon